<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_74) on Wed Mar 02 13:32:47 CET 2016 -->
<title>UserProfile (QA API)</title>
<meta name="date" content="2016-03-02">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="UserProfile (QA API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/navigationbarcomponents/gui/RecentForm.html" title="class in com.openbravo.test.integration.erp.modules.client.application.navigationbarcomponents.gui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/navigationbarcomponents/gui/UserProfile.PasswordTab.html" title="class in com.openbravo.test.integration.erp.modules.client.application.navigationbarcomponents.gui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../index.html?com/openbravo/test/integration/erp/modules/client/application/navigationbarcomponents/gui/UserProfile.html" target="_top">Frames</a></li>
<li><a href="UserProfile.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.openbravo.test.integration.erp.modules.client.application.navigationbarcomponents.gui</div>
<h2 title="Class UserProfile" class="title">Class UserProfile</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>com.openbravo.test.integration.erp.modules.client.application.navigationbarcomponents.gui.UserProfile</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">UserProfile</span>
extends <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Executes and verify actions on OpenbravoERP user profile, added by the Navigation Bar Components
 module.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>elopio</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/navigationbarcomponents/gui/UserProfile.PasswordTab.html" title="class in com.openbravo.test.integration.erp.modules.client.application.navigationbarcomponents.gui">UserProfile.PasswordTab</a></span></code>
<div class="block">Executes and verify actions on OpenbravoERP password tab, added by the Navigation Bar
 Components module.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/navigationbarcomponents/gui/UserProfile.ProfileTab.html" title="class in com.openbravo.test.integration.erp.modules.client.application.navigationbarcomponents.gui">UserProfile.ProfileTab</a></span></code>
<div class="block">Executes and verify actions on OpenbravoERP profile tab, added by the Navigation Bar Components
 module.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/navigationbarcomponents/gui/UserProfile.html#assertProfile-com.openbravo.test.integration.erp.data.ProfileData-">assertProfile</a></span>(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/ProfileData.html" title="class in com.openbravo.test.integration.erp.data">ProfileData</a>&nbsp;expectedProfileData)</code>
<div class="block">Assert the user profile information.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/navigationbarcomponents/gui/UserProfile.html#changeProfile-com.openbravo.test.integration.erp.data.ProfileData-">changeProfile</a></span>(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/ProfileData.html" title="class in com.openbravo.test.integration.erp.data">ProfileData</a>&nbsp;newProfile)</code>
<div class="block">Change the user profile.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/navigationbarcomponents/gui/UserProfile.html#changeProfile-com.openbravo.test.integration.erp.data.ProfileData-boolean-">changeProfile</a></span>(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/ProfileData.html" title="class in com.openbravo.test.integration.erp.data">ProfileData</a>&nbsp;newProfile,
             boolean&nbsp;apply)</code>
<div class="block">Change the user profile.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/navigationbarcomponents/gui/UserProfile.html#close--">close</a></span>()</code>
<div class="block">Close the UserProfile tab set</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/ProfileData.html" title="class in com.openbravo.test.integration.erp.data">ProfileData</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/navigationbarcomponents/gui/UserProfile.html#getProfile--">getProfile</a></span>()</code>
<div class="block">Get current user profile information.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/navigationbarcomponents/gui/UserProfile.html#isOpen--">isOpen</a></span>()</code>
<div class="block">Check if the widget is open.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/navigationbarcomponents/gui/UserProfile.html#isPasswordTabOpen--">isPasswordTabOpen</a></span>()</code>
<div class="block">Check if the password tab is open</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/navigationbarcomponents/gui/UserProfile.html#isProfileTabOpen--">isProfileTabOpen</a></span>()</code>
<div class="block">Check if the profile tab is open.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/navigationbarcomponents/gui/UserProfile.html#open--">open</a></span>()</code>
<div class="block">Open the UserProfile tab set</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/navigationbarcomponents/gui/UserProfile.PasswordTab.html" title="class in com.openbravo.test.integration.erp.modules.client.application.navigationbarcomponents.gui">UserProfile.PasswordTab</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/navigationbarcomponents/gui/UserProfile.html#openPasswordTab--">openPasswordTab</a></span>()</code>
<div class="block">Open the password tab.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/navigationbarcomponents/gui/UserProfile.ProfileTab.html" title="class in com.openbravo.test.integration.erp.modules.client.application.navigationbarcomponents.gui">UserProfile.ProfileTab</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/navigationbarcomponents/gui/UserProfile.html#openProfileTab--">openProfileTab</a></span>()</code>
<div class="block">Open the profile tab.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isOpen--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isOpen</h4>
<pre>public&nbsp;boolean&nbsp;isOpen()</pre>
<div class="block">Check if the widget is open.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the widget is open. Otherwise, false.</dd>
</dl>
</li>
</ul>
<a name="open--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>open</h4>
<pre>public&nbsp;void&nbsp;open()</pre>
<div class="block">Open the UserProfile tab set</div>
</li>
</ul>
<a name="close--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>close</h4>
<pre>public&nbsp;void&nbsp;close()</pre>
<div class="block">Close the UserProfile tab set</div>
</li>
</ul>
<a name="isProfileTabOpen--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isProfileTabOpen</h4>
<pre>public&nbsp;boolean&nbsp;isProfileTabOpen()</pre>
<div class="block">Check if the profile tab is open.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the profile tab is open. Otherwise, false.</dd>
</dl>
</li>
</ul>
<a name="isPasswordTabOpen--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPasswordTabOpen</h4>
<pre>public&nbsp;boolean&nbsp;isPasswordTabOpen()</pre>
<div class="block">Check if the password tab is open</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the tab is opened. Otherwise, false</dd>
</dl>
</li>
</ul>
<a name="openProfileTab--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>openProfileTab</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/navigationbarcomponents/gui/UserProfile.ProfileTab.html" title="class in com.openbravo.test.integration.erp.modules.client.application.navigationbarcomponents.gui">UserProfile.ProfileTab</a>&nbsp;openProfileTab()</pre>
<div class="block">Open the profile tab.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the profile tab.</dd>
</dl>
</li>
</ul>
<a name="openPasswordTab--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>openPasswordTab</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/navigationbarcomponents/gui/UserProfile.PasswordTab.html" title="class in com.openbravo.test.integration.erp.modules.client.application.navigationbarcomponents.gui">UserProfile.PasswordTab</a>&nbsp;openPasswordTab()</pre>
<div class="block">Open the password tab.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the password tab.</dd>
</dl>
</li>
</ul>
<a name="changeProfile-com.openbravo.test.integration.erp.data.ProfileData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>changeProfile</h4>
<pre>public&nbsp;void&nbsp;changeProfile(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/ProfileData.html" title="class in com.openbravo.test.integration.erp.data">ProfileData</a>&nbsp;newProfile)</pre>
<div class="block">Change the user profile.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newProfile</code> - The new profile of the user.</dd>
</dl>
</li>
</ul>
<a name="changeProfile-com.openbravo.test.integration.erp.data.ProfileData-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>changeProfile</h4>
<pre>public&nbsp;void&nbsp;changeProfile(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/ProfileData.html" title="class in com.openbravo.test.integration.erp.data">ProfileData</a>&nbsp;newProfile,
                          boolean&nbsp;apply)</pre>
<div class="block">Change the user profile.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newProfile</code> - The new profile of the user.</dd>
<dd><code>apply</code> - Boolean that indicates whether the changes should be applied or canceled.</dd>
</dl>
</li>
</ul>
<a name="assertProfile-com.openbravo.test.integration.erp.data.ProfileData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertProfile</h4>
<pre>public&nbsp;void&nbsp;assertProfile(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/ProfileData.html" title="class in com.openbravo.test.integration.erp.data">ProfileData</a>&nbsp;expectedProfileData)</pre>
<div class="block">Assert the user profile information.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>expectedProfileData</code> - The expected profile data of the user.</dd>
</dl>
</li>
</ul>
<a name="getProfile--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getProfile</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/ProfileData.html" title="class in com.openbravo.test.integration.erp.data">ProfileData</a>&nbsp;getProfile()</pre>
<div class="block">Get current user profile information.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the current profile information.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/navigationbarcomponents/gui/RecentForm.html" title="class in com.openbravo.test.integration.erp.modules.client.application.navigationbarcomponents.gui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/navigationbarcomponents/gui/UserProfile.PasswordTab.html" title="class in com.openbravo.test.integration.erp.modules.client.application.navigationbarcomponents.gui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../index.html?com/openbravo/test/integration/erp/modules/client/application/navigationbarcomponents/gui/UserProfile.html" target="_top">Frames</a></li>
<li><a href="UserProfile.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
